﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:viewModel="clr-namespace:SecondMonitor.SimdataManagement.ViewModel;assembly=SimdataManagement">
    <ResourceDictionary.MergedDictionaries>
            <ResourceDictionary Source="pack://application:,,,/WindowsControls;component/WPF/CommonResources.xaml" />
        </ResourceDictionary.MergedDictionaries>

    <DataTemplate DataType="{x:Type viewModel:LastWheelDateViewModel}">
        <Border Background="{StaticResource Anthracite01Brush}" BorderBrush="{StaticResource DarkGrey01Brush}" BorderThickness="2" CornerRadius="5" Padding="5">
            <StackPanel Orientation="Vertical">
                <TextBlock Style="{StaticResource StandardText}" FontSize="{StaticResource BigFontSize}" Text="{Binding WheelName}" Margin="6"/>
                <StackPanel Orientation="Horizontal">
                    <TextBlock Style="{StaticResource StandardText}" Margin="0,5,0,5" Text="Suspension Travel:"/>
                    <TextBlock Style="{StaticResource StandardText}" Margin="5" Text="{Binding SuspensionTravel, Converter={StaticResource DoubleToScalableDecimalsConverter}}"/>
                    <TextBlock Style="{StaticResource StandardText}" Margin="0,5,10,5" Text="{Binding DistanceUnits}"/>
                </StackPanel>
                <StackPanel Orientation="Horizontal">
                    <TextBlock Style="{StaticResource StandardText}" Margin="0,5,0,5" Text="Ride Height:"/>
                    <TextBlock Style="{StaticResource StandardText}" Margin="5" Text="{Binding RideHeight, Converter={StaticResource DoubleToScalableDecimalsConverter}}"/>
                    <TextBlock Style="{StaticResource StandardText}" Margin="0,5,10,5" Text="{Binding DistanceUnits}"/>
                </StackPanel>
            </StackPanel>
        </Border>
    </DataTemplate>

    <DataTemplate DataType="{x:Type viewModel:LastCarDataViewModel}">
        <Border Background="{StaticResource Anthracite01Brush}" BorderBrush="{StaticResource DarkGrey01Brush}" BorderThickness="2" CornerRadius="5" Padding="5">
            <Grid>
                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                </Grid.RowDefinitions>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="Auto"/>
                    <ColumnDefinition Width="Auto"/>
                </Grid.ColumnDefinitions>
                <ContentPresenter Grid.Row="0" Grid.Column="0" Content="{Binding FrontLeftWheel}" />
                <ContentPresenter Grid.Row="0" Grid.Column="1" Content="{Binding FrontRightWheel}" />
                <ContentPresenter Grid.Row="1" Grid.Column="0" Content="{Binding RearLeftWheel}" />
                <ContentPresenter Grid.Row="1" Grid.Column="1" Content="{Binding RearRightWheel}" />
            </Grid>
        </Border>
    </DataTemplate>
</ResourceDictionary>